net.minecraft.client.gui

## Class GuiFlatPresets

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiScreen
    - - net.minecraft.client.gui.GuiFlatPresets

-     public class GuiFlatPresets
      extends GuiScreen

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.gui.GuiScreen

      `allowUserInput, guiParticles, height, isMacOs, width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiFlatPresets(GuiCreateFlatWorld par1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addPreset(String par0Str, int par1, BiomeGenBase par2BiomeGenBase, List par3List, FlatLayerInfo... par4ArrayOfFlatLayerInfo)` Add a flat world preset.
    `static void` | `addPresetNoFeatures(String par0Str, int par1, BiomeGenBase par2BiomeGenBase, FlatLayerInfo... par3ArrayOfFlatLayerInfo)` Add a flat world preset with no world features.
    `void` | `drawScreen(int par1, int par2, float par3)` Draws the screen and all the components in it.
    `void` | `func_82296_g()`
    `void` | `initGui()` Adds the buttons (and other controls) to the screen in question.
    `void` | `onGuiClosed()` Called when the screen is unloaded.
    `void` | `updateScreen()` Called from the main game loop to update the screen.

    - ### Methods inherited from class net.minecraft.client.gui.GuiScreen

      `confirmClicked, doesGuiPauseGame, drawBackground, drawDefaultBackground, drawWorldBackground, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, setClipboardString, setWorldAndResolution`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiFlatPresets

          public GuiFlatPresets(GuiCreateFlatWorld par1)

  - ### Method Detail

    - #### initGui

          public void initGui()

      Adds the buttons (and other controls) to the screen in question.
      Overrides:
        `initGui` in class `GuiScreen`

    - #### onGuiClosed

          public void onGuiClosed()

      Called when the screen is unloaded. Used to disable keyboard repeat events
      Overrides:
        `onGuiClosed` in class `GuiScreen`

    - #### drawScreen

          public void drawScreen(int par1,
                        int par2,
                        float par3)

      Draws the screen and all the components in it.
      Overrides:
        `drawScreen` in class `GuiScreen`

    - #### updateScreen

          public void updateScreen()

      Called from the main game loop to update the screen.
      Overrides:
        `updateScreen` in class `GuiScreen`

    - #### func_82296_g

          public void func_82296_g()

    - #### addPresetNoFeatures

          public static void addPresetNoFeatures(String par0Str,
                                 int par1,
                                 BiomeGenBase par2BiomeGenBase,
                                 FlatLayerInfo... par3ArrayOfFlatLayerInfo)

      Add a flat world preset with no world features.

    - #### addPreset

          public static void addPreset(String par0Str,
                       int par1,
                       BiomeGenBase par2BiomeGenBase,
                       List par3List,
                       FlatLayerInfo... par4ArrayOfFlatLayerInfo)

      Add a flat world preset.